if "%ARCH%"=="32" (
   set PLATFORM=x86
) else (
  set PLATFORM=x64
)

call vcbuild.bat nosign release %PLATFORM%

COPY Release\node.exe %LIBRARY_BIN%\node.exe

:: This installs the latest npm, not the vendored one, see
:: https://github.com/nodejs/help/issues/654#issuecomment-305532226
:: %LIBRARY_BIN%\node.exe deps\npm\cli.js install npm -gf
:: If we go this route then we should query it from deps/npm/package.json
:: line 2 has>
::   "version": "3.10.10",
%LIBRARY_BIN%\node.exe deps\npm\cli.js install npm@3.10.10 -gf
:: call vcbuild.bat nosign package release %PLATFORM%
